class Settings < Settingslogic
  source "#{Rails.root}/config/settings.yml"
  namespace Rails.env

  PLATFORM = %w[ik_duli lx_duli lx_yun]
  DEFAULT = 'ik_duli'.freeze

  def self.platform=(platform)
    @platform = platform if PLATFORM.include? platform
  end

  def set_platform_device(platform, device_suffix: '')
    if PLATFORM.include?(platform)
      @platform = platform
    end
    @device_suffix = device_suffix
  end

  def self.platform
    @platform || DEFAULT
  end

  def self.platform_with_device
    "#{@platform || DEFAULT}#{@device_suffix}"
  end

  def self.platform_settings
    if Settings[platform_with_device].present?
      self.send(platform_with_device)
    else
      self.send(platform)
    end
  end

end
